'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _sbPromisify = require('sb-promisify');

var _sbPromisify2 = _interopRequireDefault(_sbPromisify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var promisifiedFS = {};

for (var key in _fs2.default) {
  if (!{}.hasOwnProperty.call(_fs2.default, key)) {
    continue;
  }
  var value = _fs2.default[key];
  if (typeof value === 'function') {
    promisifiedFS[key] = (0, _sbPromisify2.default)(value);
  } else {
    promisifiedFS[key] = value;
  }
}

promisifiedFS.rimraf = (0, _sbPromisify2.default)(require('rimraf'));
promisifiedFS.mkdirp = (0, _sbPromisify2.default)(require('mkdirp'));
promisifiedFS.exists = function (path) {
  return new Promise(function (resolve) {
    _fs2.default.access(path, function (error) {
      resolve(error === null);
    });
  });
};

module.exports = promisifiedFS;